- [HTTP request](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#body.aspect)
- [Examples](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#examples)
- [Try it!](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/delete.md.txt#try-it)

Deletes a Unified Access Policy.

### HTTP request

`DELETE https://iam.googleapis.com/v3/{name=organizations/*/locations/*/accessPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Unified Access Policy to delete. Format: \* `projects/{projectId}/locations/{location}/accessPolicies/{unified_access_policy_id}` \* `projects/{projectNumber}/locations/{location}/accessPolicies/{unified_access_policy_id}` \* `folders/{folderId}/locations/{location}/accessPolicies/{unified_access_policy_id}` \* `organizations/{organizationId}/locations/{location}/accessPolicies/{unified_access_policy_id}` |

### Query parameters

| Parameters ||
|---|---|
| `etag` | `string` Optional. The etag of the Unified Access Policy. If this is provided, it must match the server's etag. |
| `validateOnly` | `boolean` Optional. If set, validate the request and preview the deletion, but do not actually post it. |
| `force` | `boolean` Optional. If set to true, the request will force the deletion of the Unified Access Policy even if it's referenced in existing bindings. If this value is set to false and the Unified Access Policy is referenced in existing bindings, then the request fails. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/iam`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).